<?php

  /**
   * Automatic Image Upload with Thumbnails - uploadimg.php
   * 
   * @author : Koos
   * @email  : pampoen10@yahoo.com
   * @version 1.3.8 for punbb 1.3
   * @release date : 2013-05-03
   */

  /* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY
   * OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT
   * LIMITED   TO  THE WARRANTIES  OF  MERCHANTABILITY,
   * FITNESS    FOR    A    PARTICULAR    PURPOSE   AND
   * NONINFRINGEMENT.  IN NO EVENT SHALL THE AUTHORS OR
   * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES
   * OR  OTHER  LIABILITY,  WHETHER  IN  AN  ACTION  OF
   * CONTRACT,  TORT OR OTHERWISE, ARISING FROM, OUT OF
   * OR  IN  CONNECTION WITH THE SOFTWARE OR THE USE OR
   * OTHER DEALINGS IN THE SOFTWARE.
   */


define('FORUM_DISABLE_CSRF_CONFIRM', 1);

if (!defined('FORUM_ROOT'))
	define('FORUM_ROOT', './');
require FORUM_ROOT.'include/common.php';



include "uploadimg_config.php";



// Load the uploadimg.php language file
require FORUM_ROOT.'lang/'.$forum_user['language'].'/uploadimg.php';

// Do we have permission to upload images?
if ($forum_user['is_guest'])
	message($lang_common['Not logged in']);

if (!in_array($forum_user['g_title'], $Allow_Uploads))
	message($lang_uploadimg['No permission']);


//****
$check = $allow_jpg_uploads + $allow_png_uploads + $allow_gif_uploads;

	$i = 0;

	if ($allow_jpg_uploads == "1")
	{
		$type_array[$i]= "JPEG";
		$i = $i + 1;
	}

	if ($allow_png_uploads == "1")
	{
		$type_array[$i]= "PNG";
		$i = $i + 1;
	}

	if ($allow_gif_uploads == "1")
	{
		$type_array[$i]= "GIF";
		$i = $i + 1;
	}

if ($check == 0)
{
	$message1 = $lang_uploadimg['Upload disabled'];
	$message2 = "";
}

elseif ($check == 1)
{
	$message1 = str_replace('<type1>', $type_array[0], $lang_uploadimg['Can only upload1']);
	$message2 = str_replace('<extension1>', $type_array[0], $lang_uploadimg['Has to be1']);
	$message2 = " ".$message2;
}

elseif ($check == 2)
{
	$message1 = str_replace('<type1>', $type_array[0], $lang_uploadimg['Can only upload2']);
	$message1 = str_replace('<type2>', $type_array[1], $message1);
	$message2 = str_replace('<extension1>', $type_array[0], $lang_uploadimg['Has to be2']);
	$message2 = str_replace('<extension2>', $type_array[1], $message2);
	$message2 = " ".$message2;
}

elseif ($check == 3)
{
	$message1 = str_replace('<type1>', $type_array[0], $lang_uploadimg['Can only upload3']);
	$message1 = str_replace('<type2>', $type_array[1], $message1);
	$message1 = str_replace('<type3>', $type_array[2], $message1);
	$message2 = str_replace('<extension1>', $type_array[0], $lang_uploadimg['Has to be3']);
	$message2 = str_replace('<extension2>', $type_array[1], $message2);
	$message2 = str_replace('<extension3>', $type_array[2], $message2);
	$message2 = " ".$message2;
}

if ($size_limit != "yes")
	$message3 = $lang_uploadimg['No size limit'];
else
	$message3 = str_replace('<MAX_SIZE>', $limit_size, $lang_uploadimg['Size limit']);

//****



		#######################################################
		###//==============//================//=============//#
		##//==============// Image uploaded //=============//##
		#//==============//================//=============//###
		#######################################################
		if(isset($_POST['form_sent']))
		{


			if($_FILES['imagefile']['name'] == null) 
			{
			
				$warning_upload = "<font color=\"#FF0000\">".$lang_uploadimg['Unable to upload']."</font>"; // Error Message If Upload Failed
				message($warning_upload);	
			
			}

			else
			{
		#######################################################
		###//===========//=====================//===========//#
		##//===========// Image upload script //===========//##
		#//===========//=====================//===========//###
		#######################################################
        

	$limit_sizef = $limit_size*1024; // convert Kilobytes to bytes
	$file_prefix = $forum_user['id']."_"; // the pun user id is used as the prefix for all uploaded files
	$absolute_path_images = dirname(__FILE__) . "/" . substr_replace($idir,"",-1);
	$absolute_path_thumbs = dirname(__FILE__) . "/" . substr_replace($tdir,"",-1);

	// Find forumurl
	$domain = $_SERVER['HTTP_HOST']; // find out the domain:
	$path = $_SERVER['SCRIPT_NAME']; // find out the path to the current file:
	$urltemp = "http://" . $domain . $path ; // put it all together:
	$parts = Explode('/', $path);
	$currentFile = end($parts);
	$forumurl = substr($urltemp, 0, strpos($urltemp, "$currentFile"));


	function strip_ext($name)
	{
		$ext = strrchr($name, '.');
			if($ext !== false)
			{
				$name = substr($name, 0, -strlen($ext));
			}
		return $name;
	}


	$imagefilename = $_FILES['imagefile']['name'];
	$imagefilename_rl = strip_ext($imagefilename);
	$imagefilename_ext = strtolower(end(explode('.',$imagefilename))); // get the file extension
  
	// Transliterate all characters with accents,umlauts,ligatures and runes known to ISO-8859-1
	$imagefilename_rl = strtr($imagefilename_rl,"\xA1\xAA\xBA\xBF\xC0\xC1\xC2\xC3\xC5\xC7\xC8\xC9\xCA\xCB\xCC\xCD\xCE\xCF\xD0\xD1\xD2\xD3\xD4\xD5\xD8\xD9\xDA\xDB\xDD\xE0\xE1\xE2\xE3\xE5\xE7\xE8\xE9\xEA\xEB\xEC\xED\xEE\xEF\xF0\xF1\xF2\xF3\xF4\xF5\xF8\xF9\xFA\xFB\xFD\xFF","!ao?AAAAACEEEEIIIIDNOOOOOUUUYaaaaaceeeeiiiidnooooouuuyy");   
	$imagefilename_rl = strtr($imagefilename_rl, array("\xC4"=>"Ae", "\xC6"=>"AE", "\xD6"=>"Oe", "\xDC"=>"Ue", "\xDE"=>"TH", "\xDF"=>"ss", "\xE4"=>"ae", "\xE6"=>"ae", "\xF6"=>"oe", "\xFC"=>"ue", "\xFE"=>"th"));
  
	// Strip all non-alphanumeric characters (except _ -) from string and replace all spaces with _ (underscore)
	$find = array("/[^a-zA-Z0-9\-\_\s]/","/\s+/");
	$replace = array("","_");
	$imagefilename_rl = strtolower(preg_replace($find,$replace,$imagefilename_rl));
	
	// Truncate filename if longer than 100 characters
	$imagefilename_rl = (strlen($imagefilename_rl) > 100) ? substr($imagefilename_rl, 0 , 100) : $imagefilename_rl;
	
	$imagefilename = $imagefilename_rl.".".$imagefilename_ext;
	$url = $file_prefix . $imagefilename;   // Set $url To Equal The Filename For Later Use
	$getcode = "[url=".$forumurl.$idir.$file_prefix.$imagefilename."][img]".$forumurl.$tdir.$file_prefix.$imagefilename."[/img][/url]";
	$getimg = "[img]".$forumurl.$idir.$file_prefix.$imagefilename."[/img]";
	$boxwidth = $twidth - 4;
  


		// Determine whether file is correct filetype
		if (!((($_FILES['imagefile']['type'] == "image/jpg" || $_FILES['imagefile']['type'] == "image/jpeg" || $_FILES['imagefile']['type'] == "image/pjpeg") && ($imagefilename_ext == "jpg" || $imagefilename_ext == "jpeg") && ($allow_jpg_uploads == "1")) || (($_FILES['imagefile']['type'] == "image/png" || $_FILES['imagefile']['type'] == "image/x-png") && ($imagefilename_ext == "png") && ($allow_png_uploads == "1")) || (($_FILES['imagefile']['type'] == "image/gif") && ($imagefilename_ext == "gif") && ($allow_gif_uploads == "1"))))
		{
			$warning_filetype = "<font color=\"#FF0000\">".$lang_uploadimg['Wrong filetype'].$message2.". ".$lang_uploadimg['Yours is']." "."<strong>".$_FILES['imagefile']['type']."</strong></font>"; // Error Message If Filetype Is Wrong
			message($warning_filetype);
		}


		// Check if the file exists
		$nameoffile = $file_prefix.$imagefilename;
		if(file_exists("$absolute_path_images/$nameoffile"))
		{


			// Setup form
			$forum_page['group_count'] = $forum_page['item_count'] = $forum_page['fld_count'] = 0;
		
			
			// Setup breadcrumbs
			$forum_page['crumbs'] = array(
				array($forum_config['o_board_title'], forum_link($forum_url['index'])),
				array($lang_uploadimg['Upload image'], forum_link('uploadimg.php')),
			
			);
			
			define('FORUM_PAGE', 'uploadimg');
			require FORUM_ROOT.'header.php';

			// START SUBST - <!-- forum_main -->
			ob_start();
			
			$forum_page['set_count'] = $forum_page['fld_count'] = 0;
			
?>
<script type="text/javascript">

function highlight(field) {
        field.focus();
        field.select();
}

</script>


	<div class="main-head">
		<h2 class="hn"><span><?php echo $lang_uploadimg['Upload image'] ?></span></h2>
	</div>
	<div class="main-subhead">
		<h2 class="hn"><span><?php echo $lang_uploadimg['Result'] ?></span></h2>
	</div>
	<div class="main-content main-frm">

		



		
		
		
<?php
//<-----------original start--------
?>
		
		<div class="blockform">
			<div class="box">
				<form action="uploadimg.php">
					<div class="inform">
						<fieldset>
							<div class="infldset">



		<div class="ct-box info-box">
<?php

echo $lang_uploadimg['File exists']."<br style=\"display: inline\" />";   

echo "<br style=\"display: inline\" />".$lang_uploadimg['Exist message']." <strong>".$_FILES['imagefile']['name']."</strong><br style=\"display: inline\" />\n";

?>

		</div>


<div style="padding: 5px 6px">
<?php

//----------DISPLAY START0----------

            echo '<table cellpadding="0" style="table-layout:auto"><tr>';

            if ($display_img_box == "0") {
            //display Thumb code only start
			echo "<td style=\"border: 0px;\">";
             
          echo "
            <a href=\""."$forumurl$idir$file_prefix$imagefilename"."\"><img src=\""."$forumurl$tdir$file_prefix$imagefilename"."\" alt=\"\" /></a><br style=\"display: inline\" /><input onmouseup=\"highlight(this);\" onclick=\"highlight(this);\" style=\"border: 1px solid #808080; border-right: 0; border-bottom: 0; width: ".$boxwidth."px;\" value=\"".$getcode."\" /><br style=\"display: inline\" /><br style=\"display: inline\" /></td>"; 
            //display Thumb code only end
            }
            else {
            //display Thumb and Image code start
            echo "<td style=\"border: 0px;\">";
            
          echo "
            <a href=\""."$forumurl$idir$file_prefix$imagefilename"."\"><img src=\""."$forumurl$tdir$file_prefix$imagefilename"."\" alt=\"\" /></a><br style=\"display: inline\" /><table style=\"width: 10%;table-layout:auto\"><tr><td style=\"text-align: left; margin: 0; border: 0px; padding: 2px; \"><strong>".$lang_uploadimg['Thumb'].":&nbsp;</strong></td><td style=\"text-align: left; margin: 0; border: 0px; padding: 2px; \"><input onmouseup=\"highlight(this);\" onclick=\"highlight(this);\" style=\"border: 1px solid #808080; border-right: 0; border-bottom: 0;\" value=\"".$getcode."\" /></td></tr><tr><td style=\"text-align: left; margin: 0; border: 0px; padding: 2px; \"><strong>".$lang_uploadimg['Image'].":</strong></td><td style=\"text-align: left; margin: 0; border: 0px; padding: 2px; \"><input onmouseup=\"highlight(this);\" onclick=\"highlight(this);\" style=\"border: 1px solid #808080; border-right: 0; border-bottom: 0;\" value=\"".$getimg."\" /></td></tr></table><br style=\"display: inline\" /><br style=\"display: inline\" /></td>";
            //display Thumb and Image code end
            }
            
            echo '</tr></table>';

//----------DISPLAY END0----------

?>
</div>


					</div>
				</fieldset>
					</div>
					<p style="text-align: right;margin-right:10px"><a href="javascript: history.go(-1)"><?php echo $lang_uploadimg['Back'] ?></a></p>
				</form>
			</div>
		</div>





<?php
//<-----------original end--------
?>



	</div>
<?php


	$tpl_temp = forum_trim(ob_get_contents());
	$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
	ob_end_clean();
	// END SUBST - <!-- forum_main -->

	require FORUM_ROOT.'footer.php';












		}


		// Check if filesize is not too big
		if (($size_limit == "yes") && ($limit_sizef < $_FILES['imagefile']['size'])) 
		{
			$warning_filesize = "<font color=\"#FF0000\">".str_replace('<MAX_SIZE>', $limit_size, $lang_uploadimg['Too big'])."</font>";
			message($warning_filesize);
		}


		// Allocate all necessary memory for the image
		ini_set('memory_limit', '-1');


		// Can the file be uploaded?
		if (empty($_FILES['imagefile']['tmp_name']))
		{
			$warning_upload = "<font color=\"#FF0000\">".$lang_uploadimg['Unable to upload']."</font>"; // Error Message If Upload Failed 
			message($warning_upload);
		}
    
    
//==========Everything OK - can now proceed to upload image==========

      
		if ($_FILES['imagefile']['type'] == "image/jpg" || $_FILES['imagefile']['type'] == "image/jpeg" || $_FILES['imagefile']['type'] == "image/pjpeg")
		{
		$simg = @imagecreatefromjpeg($_FILES['imagefile']['tmp_name']);   // Make A New Temporary Image To Create The Thumbnail From
		}
		elseif ($_FILES['imagefile']['type'] == "image/png" || $_FILES['imagefile']['type'] == "image/x-png")
		{
		$simg = @imagecreatefrompng($_FILES['imagefile']['tmp_name']);   // Make A New Temporary Image To Create The Thumbnail From
		}
		elseif ($_FILES['imagefile']['type'] == "image/gif")
		{
		$simg = @imagecreatefromgif($_FILES['imagefile']['tmp_name']);   // Make A New Temporary Image To Create The Thumbnail From
		}
      
		$currwidth = @imagesx($simg);   // Current Image Width
		$currheight = @imagesy($simg);   // Current Image Height
      
      
      
		$zoomw = $currwidth/$twidth;
		$zoomh = $currheight/$theight;

			
			$zoom = ($zoomw > $zoomh) ? $zoomw : $zoomh;

           
			if ($currwidth < $twidth && $currheight < $theight)
			{
				$newwidth = $currwidth;
				$newheight = $currheight;
			}
			
			else
			{
				$newwidth = $currwidth/$zoom;
				$newheight = $currheight/$zoom;
			}


		$dimg = @imagecreatetruecolor( $newwidth, $newheight );   // Make New Image For Thumbnail

		if (!$dimg)
			$dimg = @imagecreate( $newwidth, $newheight ); 


			// If it's a PNG or GIF image
			if ($_FILES['imagefile']['type'] == "image/png" || $_FILES['imagefile']['type'] == "image/x-png" || $_FILES['imagefile']['type'] == "image/gif")
			{
				@imagetruecolortopalette($simg, true, 256); // convert to 256 colors
				$trnprt_indx = @imagecolortransparent($simg);

				// If we have a specific transparent color
				if ($trnprt_indx >= 0)
				{
					$trnprt_color = @imagecolorsforindex($simg, $trnprt_indx);
					$trnprt_indx = @imagecolorallocate($dimg, $trnprt_color['red'], $trnprt_color['green'], $trnprt_color['blue']);
					@imagefill($dimg, 0, 0, $trnprt_indx);
					@imagecolortransparent($dimg, $trnprt_indx);
				}
				elseif ($_FILES['imagefile']['type'] == "image/png" || $_FILES['imagefile']['type'] == "image/x-png")
				{
					@imagealphablending($dimg, false);
					$color = @imagecolorallocatealpha($dimg, 0, 0, 0, 127);
					@imagefill($dimg, 0, 0, $color);
					@imagesavealpha($dimg, true);
				}
			}


			@imagecopyresampled($dimg, $simg, 0, 0, 0, 0, $newwidth, $newheight, $currwidth, $currheight);   // Copy Resized Image To The New Image (So We Can Save It)


      if ($_FILES['imagefile']['type'] == "image/jpg" || $_FILES['imagefile']['type'] == "image/jpeg" || $_FILES['imagefile']['type'] == "image/pjpeg")
      {
      @imagejpeg($dimg, "$tdir" . $url, 75);   // Saving The Image
      }
      elseif ($_FILES['imagefile']['type'] == "image/png" || $_FILES['imagefile']['type'] == "image/x-png")
      {
      @imagejpeg($dimg, "$tdir" . $url, 75);   // Saving The Image
      }
      elseif ($_FILES['imagefile']['type'] == "image/gif")
      {
      @imagejpeg($dimg, "$tdir" . $url, 75);   // Saving The Image
      }
      

				// Exit if thumb was not created
				if(!file_exists("$absolute_path_thumbs/$nameoffile"))
				{
					$warning_upload = "<font color=\"#FF0000\">".$lang_uploadimg['Unable to upload']."</font>"; // Error Message If Upload Failed
					message($warning_upload);
				}


  
			if (($resize_images_above_limit == "yes") && ($limit_sizef < $_FILES['imagefile']['size']) && (!isset($_POST['resizeimage'])))
			{
				if ($currwidth > $currheight)
				{
					$jwidth = "640";   // Maximum Width For Resized Images
					$jheight = "480";   // Maximum Height For Resized Images
				}
				else
				{
					$jwidth = "480";   // Maximum Width For Resized Images
					$jheight = "640";   // Maximum Height For Resized Images
				}   
			}
      
      
	if (isset($_POST['resizeimage']))
	{
   
		$dimparts = Explode(' ', $_POST['resizeoption']);
		$resizedim = $dimparts [0];
            
				if ($resizedim == "100x75")
				{
						if ($currwidth > $currheight)
						{
							$jwidth = "100";   // Maximum Width For Resized Images
							$jheight = "75";   // Maximum Height For Resized Images
						}
						else
						{
							$jwidth = "75";   // Maximum Width For Resized Images
							$jheight = "100";   // Maximum Height For Resized Images
						}
				}
				
				if ($resizedim == "160x120")
				{
						if ($currwidth > $currheight)
						{
							$jwidth = "160";   // Maximum Width For Resized Images
							$jheight = "120";   // Maximum Height For Resized Images
						}
						else
						{
							$jwidth = "120";   // Maximum Width For Resized Images
							$jheight = "160";   // Maximum Height For Resized Images
						}
				}

				if ($resizedim == "320x240")
				{
						if ($currwidth > $currheight)
						{
							$jwidth = "320";   // Maximum Width For Resized Images
							$jheight = "240";   // Maximum Height For Resized Images
                                   }
						else
						{
							$jwidth = "240";   // Maximum Width For Resized Images
							$jheight = "320";   // Maximum Height For Resized Images
						}
				}
				
				if ($resizedim == "640x480")
				{
						if ($currwidth > $currheight)
						{
							$jwidth = "640";   // Maximum Width For Resized Images
							$jheight = "480";   // Maximum Height For Resized Images
						}
						else
						{
							$jwidth = "480";   // Maximum Width For Resized Images
							$jheight = "640";   // Maximum Height For Resized Images
						}
				}
	}
			


//============= RESIZE IMAGE CODE START =============
	if (isset($jwidth)) 
	{
      
		//----create resized image start
      
		$zoomw = $currwidth/$jwidth;
		$zoomh = $currheight/$jheight;


			$zoom = ($zoomw > $zoomh) ? $zoomw : $zoomh;
            
			if (($currwidth < $jwidth) && ($currheight < $jheight))
				$zoom = "1";  

			$newwidth = $currwidth/$zoom;
			$newheight = $currheight/$zoom;


			$jdimg = @imagecreatetruecolor( $newwidth, $newheight );   // Make New Image
			$gd_flag = "0";
			

			if (!$jdimg)
			{ 
				$jdimg = @imagecreate( $newwidth, $newheight );
				$gd_flag = "1";
			}
			
			
			// If it's a PNG or GIF image
			if ($_FILES['imagefile']['type'] == "image/png" || $_FILES['imagefile']['type'] == "image/x-png" || $_FILES['imagefile']['type'] == "image/gif")
			{
				@imagetruecolortopalette($simg, true, 256); // convert to 256 colors
				$trnprt_indx = @imagecolortransparent($simg);

				// If we have a specific transparent color
				if ($trnprt_indx >= 0)
				{
					$trnprt_color = @imagecolorsforindex($simg, $trnprt_indx);
					$trnprt_indx = @imagecolorallocate($jdimg, $trnprt_color['red'], $trnprt_color['green'], $trnprt_color['blue']);
					@imagefill($jdimg, 0, 0, $trnprt_indx);
					@imagecolortransparent($jdimg, $trnprt_indx);
				}
				elseif ($_FILES['imagefile']['type'] == "image/png" || $_FILES['imagefile']['type'] == "image/x-png")
				{
					@imagealphablending($jdimg, false);
					$color = @imagecolorallocatealpha($jdimg, 0, 0, 0, 127);
					@imagefill($jdimg, 0, 0, $color);
					@imagesavealpha($jdimg, true);
				}
			}

			@imagecopyresampled($jdimg, $simg, 0, 0, 0, 0, $newwidth, $newheight, $currwidth, $currheight);



			if ($_FILES['imagefile']['type'] == "image/jpg" || $_FILES['imagefile']['type'] == "image/jpeg" || $_FILES['imagefile']['type'] == "image/pjpeg")
			{
				@imagejpeg($jdimg, "$idir" . $url, 75);   // Saving The Image
			}

			elseif ($_FILES['imagefile']['type'] == "image/png" || $_FILES['imagefile']['type'] == "image/x-png")
			{
				if ($gd_flag != "1")
					@imagetruecolortopalette($jdimg, true, 256);  // convert to 256 colors
			
				@imagepng($jdimg, "$idir" . $url);   // Saving The Image
			}
		
			elseif ($_FILES['imagefile']['type'] == "image/gif")
			{
				if ($gd_flag != "1")
					@imagetruecolortopalette($jdimg, true, 256);  // convert to 256 colors
			
				@imagegif($jdimg, "$idir" . $url);   // Saving The Image
			}


		imagedestroy($jdimg);   // Destroying The Temporary Image
      
		//----create resized image end
    
	}
      
	else
	{
		$copy = move_uploaded_file($_FILES['imagefile']['tmp_name'], "$idir" . $file_prefix . $imagefilename);   // Move Image From Temporary Location To Permanent Location
	}
      
//============= RESIZE IMAGE CODE END =============
      
      
		imagedestroy($simg);   // Destroying The Temporary Image
		imagedestroy($dimg);   // Destroying The Other Temporary Image
      
      
		// Only delete image if thumb doesn't exist
		if ((file_exists("$absolute_path_images/$nameoffile")) && (!file_exists("$absolute_path_thumbs/$nameoffile")))
		{
			unlink($idir.$nameoffile);
			$warning_upload = "<font color=\"#FF0000\">".$lang_uploadimg['Unable to upload']."</font>"; // Error Message If Upload Failed
			message($warning_upload);
		}
               
               
		// Only delete thumb if image doesn't exist
		if ((file_exists("$absolute_path_thumbs/$nameoffile")) && (!file_exists("$absolute_path_images/$nameoffile")))
		{
			unlink($tdir.$nameoffile);
			$warning_upload = "<font color=\"#FF0000\">".$lang_uploadimg['Unable to upload']."</font>"; // Error Message If Upload Failed 
			message($warning_upload);
		}




	// Setup form
	$forum_page['group_count'] = $forum_page['item_count'] = $forum_page['fld_count'] = 0;

	// Setup breadcrumbs
	$forum_page['crumbs'] = array(
		array($forum_config['o_board_title'], forum_link($forum_url['index'])),
		array($lang_uploadimg['Upload image'], forum_link('uploadimg.php')),
	
	);


	define('FORUM_PAGE', 'uploadimg');
	require FORUM_ROOT.'header.php';

	// START SUBST - <!-- forum_main -->
	ob_start();

	$forum_page['set_count'] = $forum_page['fld_count'] = 0;

?>
<script type="text/javascript">

function highlight(field) {
        field.focus();
        field.select();
}

</script>

	<div class="main-head">
		<h2 class="hn"><span><?php echo $lang_uploadimg['Upload image'] ?></span></h2>
	</div>
	<div class="main-subhead">
		<h2 class="hn"><span><?php echo $lang_uploadimg['Result'] ?></span></h2>
	</div>
	<div class="main-content main-frm">
<?php

//-------------original start
//=======Show results start=======
	
?>
<div class="blockform">
	<div class="box">
		<form action="uploadimg.php">
			<div class="inform">
				<fieldset>
					<div class="infldset">

<div style="padding: 0.462em 10em 0.426em 1.417em;">
	<?php
      echo $lang_uploadimg['Successful upload']."<br style=\"display: inline\" />";   // Was Able To Successfully Upload Image
      echo $lang_uploadimg['Successful thumbnail']."<br style=\"display: inline\" />";   // Resize successful
    ?>
</div>

<div style="padding: 5px 6px">
<?php
//----------DISPLAY START----------

            echo '<table cellpadding="0" style="table-layout:auto"><tr>';

            if ($display_img_box == "0") {
            //display Thumb code only start
			echo "<td style=\"border: 0px;\">";
             
          echo "
            <a href=\""."$forumurl$idir$file_prefix$imagefilename"."\"><img src=\""."$forumurl$tdir$file_prefix$imagefilename"."\" alt=\"\" /></a><br style=\"display: inline\" /><input onmouseup=\"highlight(this);\" onclick=\"highlight(this);\" style=\"border: 1px solid #808080; border-right: 0; border-bottom: 0; width: ".$boxwidth."px;\" value=\"".$getcode."\" /><br style=\"display: inline\" /><br style=\"display: inline\" /></td>"; 
            //display Thumb code only end
            }
            else {
            //display Thumb and Image code start
            echo "<td style=\"border: 0px;\">";
            
          echo "
            <a href=\""."$forumurl$idir$file_prefix$imagefilename"."\"><img src=\""."$forumurl$tdir$file_prefix$imagefilename"."\" alt=\"\" /></a><br style=\"display: inline\" /><table style=\"width: 10%;table-layout:auto\"><tr><td style=\"text-align: left; margin: 0; border: 0px; padding: 2px; \"><strong>".$lang_uploadimg['Thumb'].":&nbsp;</strong></td><td style=\"text-align: left; margin: 0; border: 0px; padding: 2px; \"><input onmouseup=\"highlight(this);\" onclick=\"highlight(this);\" style=\"border: 1px solid #808080; border-right: 0; border-bottom: 0;\" value=\"".$getcode."\" /></td></tr><tr><td style=\"text-align: left; margin: 0; border: 0px; padding: 2px; \"><strong>".$lang_uploadimg['Image'].":</strong></td><td style=\"text-align: left; margin: 0; border: 0px; padding: 2px; \"><input onmouseup=\"highlight(this);\" onclick=\"highlight(this);\" style=\"border: 1px solid #808080; border-right: 0; border-bottom: 0;\" value=\"".$getimg."\" /></td></tr></table><br style=\"display: inline\" /><br style=\"display: inline\" /></td>";
            //display Thumb and Image code end
            }
            
            echo '</tr></table>';

//----------DISPLAY END----------
?>
</div>

						
					</div>
				</fieldset>
			</div>
			<p style="text-align: right;margin-right:10px"><a href="javascript: history.go(-1)"><?php echo $lang_uploadimg['Back'] ?></a></p>
		</form>
	</div>
</div>
<?php


//=======Show results end=======

//-------------original end

?>
	</div>
<?php


	$tpl_temp = forum_trim(ob_get_contents());
	$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
	ob_end_clean();
	// END SUBST - <!-- forum_main -->

	require FORUM_ROOT.'footer.php';

			}
               
      


		}
        else
        {
		#######################################################
		###//=============//==================//============//#
		##//=============// Main upload page //============//##
		#//=============//==================//============//###
		#######################################################


// Setup form
$forum_page['group_count'] = $forum_page['item_count'] = $forum_page['fld_count'] = 0;
//$forum_page['form_action'] = forum_link($forum_url['register']).'?action=register';
$forum_page['form_action'] = forum_link('uploadimg.php').'?subpage=upload';


// Setup breadcrumbs
$forum_page['crumbs'] = array(
	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
	array($lang_uploadimg['Upload image'], forum_link('uploadimg.php')),

);


define('FORUM_PAGE', 'uploadimg');
require FORUM_ROOT.'header.php';

// START SUBST - <!-- forum_main -->
ob_start();

?>

	<div class="main-head">
		<h2 class="hn"><span><?php echo $lang_uploadimg['Upload image'] ?></span></h2>
	</div>
	<div class="main-subhead">
		<h2 class="hn"><span><?php echo $lang_uploadimg['Select image'] ?></span></h2>
	</div>
	<div class="main-content main-frm">
	
	
	
	
	
	

		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo $forum_page['form_action'] ?>" enctype="multipart/form-data">

			<div class="frm-group group<?php echo ++$forum_page['group_count'] ?>">

	


<?php
		#####################################################
		###//=============//================//============//#
		##//=============// Original start //============//##
		#//=============//================//============//###
		#####################################################
?>



<div class="blockform">
	<div class="box">
			<div class="inform">
				<fieldset>
					<div class="infldset">

 <p><?php echo $lang_uploadimg['Upload message'] ?>
 </p>

<br style="display: inline" />


	<div class="main-content main-frm">
			<div class="ct-box info-box">
			<strong><?php echo $lang_uploadimg['Restrictions'] ?></strong>
				<ul class="info-list">
					<li><span><?php echo $message1 ?></span></li>
					<li><span>
<?php
		if ($resize_images_above_limit == "yes" && $size_limit == "no")
			echo str_replace('<MAX_SIZE>', $limit_size, $lang_uploadimg['Images above']);
		else
			echo $message3;
?>
					</span></li>
				</ul>
			</div>
	</div>






  <p>
  <br style="display: inline" /></p>
  
  <?php echo $lang_uploadimg['File'] ?><br style="display: inline" />
  <input type="hidden" name="form_sent" value="1" />
  <input type="file" name="imagefile" class="form" />

 
  
	<?php if ($allow_resize_option == "1") { ?>
	<br style="display: inline" /><br style="display: inline" />
	<input type="checkbox" name="resizeimage" value="ON" />&nbsp;<?php echo $lang_uploadimg['Resize image'] ?>
	<select size="1" name="resizeoption">
	<option>100x75 (<?php echo $lang_uploadimg['Avatar'] ?>)</option>
	<option>160x120 (<?php echo $lang_uploadimg['Thumbnail'] ?>)</option>
	<option selected="selected">320x240 (<?php echo $lang_uploadimg['Websites and email'] ?>)</option>
	<option>640x480 (<?php echo $lang_uploadimg['Message boards'] ?>)</option>
	</select>
	<?php } ?>



  <br style="display: inline" /><br style="display: inline" />
  <input type="submit" name="uploadimg" value="<?php echo $lang_common['Submit'] ?>" accesskey="s" />
  <br style="display: inline" />

  
  
	<p>
	
	</p>

						
					</div>
				</fieldset>
			</div>
			
			

			<p style="text-align: right"><a href="uploadimg_view.php?view=gallery"><?php echo $lang_uploadimg['My uploads'] ?></a></p>
			
			<?php 
			if (in_array($forum_user['g_title'], $Allow_Stats))
			{
			?>
				<p style="text-align: right"><a href="uploadimg_stats.php"><?php echo $lang_uploadimg['Upload statistics'] ?></a></p>
			<?php 
			}
			?>

	</div>
</div>
<?php


		###################################################
		###//=============//==============//============//#
		##//=============// Original end //============//##
		#//=============//==============//============//###
		###################################################



?>



			</div>
		</form>
	</div>
<?php

$tpl_temp = forum_trim(ob_get_contents());
$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
ob_end_clean();
// END SUBST - <!-- forum_main -->

require FORUM_ROOT.'footer.php';

		}
?>

